nftables (1.1.5-1) unstable; urgency=medium

  * [05b2c30] New upstream version 1.1.5 (Closes: #1112210)
  * [68b6459] d/not-installed: don't package unneeded nftables.service.8
    and main.nft

 -- Jeremy Sowden <azazel@debian.org>  Fri, 29 Aug 2025 16:52:56 +0100

nftables (1.1.4-2) unstable; urgency=medium

  * [d043c11] d/control: bump min. version for libnftnl-dev build-dep to 1.3.0
    (Closes: #1112100)

 -- Jeremy Sowden <azazel@debian.org>  Tue, 26 Aug 2025 12:25:47 +0100

nftables (1.1.4-1) unstable; urgency=medium

  * [745cb44] d/control: bump Standards-Version to 4.7.2
  * [0363601] New upstream version 1.1.4
  * [118b1dc] d/rules: don't install man-page link in the presence of
    "nodoc" build option
  * [3398ce0] d/u/signing-key.asc: minimize key

 -- Jeremy Sowden <azazel@debian.org>  Sun, 24 Aug 2025 17:12:16 +0100

nftables (1.1.3-1) unstable; urgency=medium

  * [c73e482] New upstream version 1.1.3 (Closes: #1107417)
    - Make vlan pcp updates work
    - Restore set auto-merge feature with timeouts
    - Fix large concatenated set-ranges

 -- Jeremy Sowden <azazel@debian.org>  Tue, 10 Jun 2025 21:18:17 +0100

nftables (1.1.2-1) unstable; urgency=medium

  * [3649fbe] d/upstream/signing-key.asc: refresh key
  * [22577cd] New upstream version 1.1.2
  * [86465b7] nftables: bump build-dep on libnftnl to 1.2.9

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Tue, 15 Apr 2025 23:29:26 +0200

nftables (1.1.1-1) unstable; urgency=medium

  * [014d3ef] New upstream version 1.1.1
  * [42dbb38] d/changelog: fix typo in ealier 1.1.0-2 entry
  * [1379560] nftables: bump libnftnl build-dep to 1.2.8
  * [33a7e22] d/patches: drop 000-upstream-cache-fix-revert.patch
  * [eda2aa7] d/copyright: drop include/linux/netfilter_decnet.h reference

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Fri, 04 Oct 2024 11:13:26 +0200

nftables (1.1.0-2) unstable; urgency=medium

  * [029b2fe] nftables: add 000-upstream-cache-fix-revert.patch
    This fixes a problem in the nftables cache by reverting an earlier change,
    which was affecting firewalld, and maybe others.

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Wed, 24 Jul 2024 10:52:33 +0200

nftables (1.1.0-1) unstable; urgency=medium

  * [e4c4fed] New upstream version 1.1.0
  * [a7d90ec] d/control: bump build-dep on libnftnl to >= 1.2.7
  * [6e32a9e] src:nftables: bump std-version to 4.7.0
  * [081d8ff] d/patches: drop variables-in-map-statements-fix.patch

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Thu, 18 Jul 2024 09:56:32 +0200

nftables (1.0.9-2) unstable; urgency=medium

  [ Jeremy Sowden ]
  * [48ba574] d/rules: make build more verbose unless the `terse` build option
    is used
  * [be37204] d/tests: re-enable Python test-suite

  [ Helmut Grohne ]
  * [c40559d] src:nftables: fix missing Build-Depends: libpython3-all-dev
    (Closes: #1057189)

  [ Arturo Borrero Gonzalez ]
  * [aa38904] d/copyright: drop superfluous file pattern

  [ Jeremy Sowden ]
  * [c2663f1] d/control: use tracker.d.o address for `Maintainer:`
  * [679f5d8] d/control: update my e-mail address
  * [e7fdd2c] d/patches: add patch to support map variables in statements
    (Closes: #1067161)

 -- Jeremy Sowden <azazel@debian.org>  Thu, 23 May 2024 20:21:53 +0100

nftables (1.0.9-1) unstable; urgency=medium

  [ Jeremy Sowden ]
  * [cceedbd] d/clean: add Python egg-info directory
  * [26632e8] Use the upstream man-pages
  * [7ace353] d/control: remove unused bison & flex build-deps

  [ Arturo Borrero Gonzalez ]
  * [83ff316] New upstream version 1.0.9
  * [0b04e55] d/patches: drop patches integrated upstream
  * [f6b44a9] d/libnftables1.symbols: refresh file

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Thu, 19 Oct 2023 16:11:15 +0200

nftables (1.0.8-1) unstable; urgency=medium

  [ Arturo Borrero Gonzalez ]
  * [d80034c] d/upstream/signing-key.asc: refresh key
  * [1cdf229] Revert "d/watch: use `pgpmode=auto`"
  * [d13e924] New upstream version 1.0.8
  * [f6e0491] d/patches: drop 0001-debian-bug-1038724.patch
  * [464cb02] d/control: bump build-dep on libnftnl
  * [1d65f36] d/control: add python3-setuptool build-dep
  * [6b96c7c] d/patches: add 0001-py.patch

  [ Jeremy Sowden ]
  * [a8248a9] d/u/signing-key.asc: minimize key
  * [243be3f] d/*.lintian-overrides: override typo false positives
  * [cfe1e5a] d/rules: in-line configure options
  * [242e961] d/rules: explicitly build python3 module
  * [fbd4ae9] d/patches: add upstream patches to add pyproject.toml support
  * [0b62d3e] d/control: add build-dep on pybuild-plugins-pyproject

 -- Jeremy Sowden <jeremy@azazel.net>  Thu, 03 Aug 2023 14:55:28 +0100

nftables (1.0.7-2) unstable; urgency=medium

  * [800ca9f] d/patches: add 0001-debian-bug-1038724.patch (Closes: #1038724)

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Tue, 20 Jun 2023 17:09:27 +0200

nftables (1.0.7-1) unstable; urgency=medium

  * [5012323] New upstream version 1.0.7
  * [5965017] d/patches: drop invalid-octal-fix.patch

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Tue, 14 Mar 2023 12:36:06 +0100

nftables (1.0.6-2) unstable; urgency=medium

  [ Jeremy Sowden ]
  * [5e89bdc] d/patches: add patch to fix handling of invalid octal strings
    (Closes: #932880)
  * [df007f6] d/control: bump Standards-Version to 4.6.2

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Sun, 29 Jan 2023 12:33:00 +0100

nftables (1.0.6-1) unstable; urgency=medium

  * [41c144c] d/gbp.conf: make pristine-tar config the default
  * [69ab9ff] d/watch: refresh tarball extension, use tar.xz
  * [d6a12b6] New upstream version 1.0.6 (Closes: #932877)
  * [5bff90c] src:nftables: bump build-dep version libnftnl to 1.2.4
  * [19569e2] d/patches: drop all patches

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Thu, 22 Dec 2022 12:14:49 +0100

nftables (1.0.5-2) unstable; urgency=medium

  [ Jeremy Sowden ]
  * [14670b7] d/control: bump Standards-Version to 4.6.1
  * [accc8cd] d/patches: add patch to fix listing of sets containing
    unclosed prefix intervals (closes: #1018156)
  * [f42c641] d/patches: add patch to fix typo's
  * [46b0bd9] d/rules: `override_dh_fixperms` -> `execute_after_dh_fixperms`
  * [b639b39] d/rules: fix non-reproducible dates in man-pages

  [ Helmut Grohne ]
  * [9b4c211] nftables: fix FTCBFS: B-D on a native python (Closes: #1022965)

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Thu, 03 Nov 2022 10:34:20 +0100

nftables (1.0.5-1) unstable; urgency=medium

  * [882aebc] New upstream version 1.0.5
  * [d1e9d3f] src:nftables: bump build-dep on libnftnl-dev

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Wed, 10 Aug 2022 13:29:18 +0200

nftables (1.0.4-2) unstable; urgency=medium

  * [9e654e0] d/nftables.conf: use named priorities
  * [0e9757f] d/u/signing-key.asc: minimize signing key
  * [49d2aee] d/libnftables1.symbols: add `Build-Depends-Package` field
  * [1a50850] d/control: set R³: no.
  * [1699c66] d/control: add myself to uploaders.
  * [cd9f31f] d/watch: use HTTPS URL
  * [a6a05b6] d/watch: use `pgpmode=auto`
  * [072624b] d/gbp.conf: buildpackage, import-orig: enable `pristine-tar`
  * [92a12a3] d/gbp.conf: dch: set `id-length`
  * [6ad5a0b] d/not-installed: remove static archive
  * [c53e37d] d/rules: remove obsolete dh_installinit override
  * [fb41a26] d/rules: move dh_auto_configure override
  * [59c9317] d/rules: include architecture.mk
  * [8f18fcd] d/rules: pass `--restart-after-upgrade` to dh_installsystemd
    (closes: #1012613)
  * [f9d8a42] d/copyright: remove obsolete files
  * [75426a2] d/changelog: wrap long line

 -- Jeremy Sowden <jeremy@azazel.net>  Sun, 19 Jun 2022 18:04:19 +0100

nftables (1.0.4-1) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * [8b15f04] Fix version map usage and add symbols file
    (Closes: #1007888 LP: #1965464)

  [ Arturo Borrero Gonzalez ]
  * [527715a] New upstream version 1.0.4
  * [929b673] d/patches: drop all patches
  * [1a1a7e5] d/control: bump build-dep on libnftnl

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Wed, 08 Jun 2022 00:59:59 +0200

nftables (1.0.2-1) unstable; urgency=medium

  [ Arturo Borrero Gonzalez ]
  * d/examples/workstation.nft: update icmpv6 example (Closes: #1000407)

  [ Sven Strickroth ]
  * Add rules for ICMPv6 packets which must not be dropped

  [ Arturo Borrero Gonzalez ]
  * New upstream version 1.0.2
  * d/patches: add 0001-examples-compile.patch
  * libnftables-dev: include some code examples

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Wed, 23 Feb 2022 12:30:25 +0100

nftables (1.0.1-1) unstable; urgency=medium

  [ Jenkins ]
  * [5be1165] Remove constraints unnecessary since buster

  [ Arturo Borrero Gonzalez ]
  * [ddc89dc] nftables: recommend netbase (Closes: #995343)
  * [1187467] src:nftables: bump std-version to 4.6.0
  * [ca1f8ef] d/copyright: refresh reference to libnftables.h
  * [6d3871a] New upstream version 1.0.1
  * [48ae700] src:nftables: bump build-dep on libnftnl to 1.2.1

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Fri, 19 Nov 2021 14:59:06 +0100

nftables (1.0.0-1) unstable; urgency=medium

  * [3d9fb4f] New upstream version 1.0.0

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Sat, 04 Sep 2021 18:45:41 +0200

nftables (0.9.9-1~exp1) experimental; urgency=medium

  * [8f1a46c] src:nftables: run wrap-and-sort
  * [5d16ed2] python3-nftables: add Depends on python3-jsonschema
  * [b63b60f] New upstream version 0.9.9
  * [45dd54e] src:nftables: bump build-dep on libnftnl to 1.2.0
  * [ffc9a3f] examples: relocate some upstream files

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Wed, 26 May 2021 12:32:25 +0200

nftables (0.9.8-3) unstable; urgency=medium

  * [94a6c9b] src:nftables: add docbook-xsl again as build-dep.
    Thanks to Michael Biebl for the suggestion (Closes: #981641)

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Tue, 02 Feb 2021 17:25:57 +0100

nftables (0.9.8-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * [4eb3236] src:nftables: reduce Build-Depends (Closes: #981206)

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Wed, 27 Jan 2021 18:04:11 +0100

nftables (0.9.8-1) unstable; urgency=medium

  * [ccb440d] New upstream version 0.9.8
    Closes: #944759
    Closes: #933621
    Closes: #932878
  * [fb3429c] src:nftables: bump build-dep on libnftnl to 1.1.9
  * [1539707] src:nftables: bump std-version to 4.5.1
  * [48ea92d] src:nftables: switch to libeditreadline (Closes: #979103)

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Sun, 17 Jan 2021 18:48:39 +0100

nftables (0.9.7-1) unstable; urgency=medium

  * [8813565] d/t/control: mark nft -h test as superficial (Closes: #969851)
  * [2a29c4f] d/upstream/signing-key.asc: refresh
  * [eaf8b7f] New upstream version 0.9.7
  * [80c259b] src:nftables: bump build-dep on libnftnl to 1.1.8

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Wed, 28 Oct 2020 16:01:29 +0100

nftables (0.9.6-1) unstable; urgency=medium

  * [e2f26f2] New upstream version 0.9.6 (Closes: #962909)
  * [a203bd9] nftables: bump libmnl build-dep version to 1.0.4
  * [e7a683f] tests: only run them with kernels >= 5.x
  * [517865d] src:nftables: bump std-version to 4.5.0

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Tue, 16 Jun 2020 10:46:53 +0200

nftables (0.9.5-1) unstable; urgency=medium

  * [15ebe06] New upstream version 0.9.5
  * [1cc07ee] build-deps: bump libnftnl requirement to 1.1.7
  * [34f7c95] src:nftables: bump debhelper compat level to 13

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Mon, 08 Jun 2020 11:11:53 +0200

nftables (0.9.4-1) unstable; urgency=medium

  * [41441b9] New upstream version 0.9.4
  * [9de28bb] d/patches: drop 0001-upstream-py-load-soname.patch
  * [7c044e8] src:nftables: bump build-dep on libnftnl to 1.1.6

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Thu, 02 Apr 2020 12:30:12 +0200

nftables (0.9.3-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set debhelper-compat version in Build-Depends.
  * Re-export upstream signing key without extra signatures.
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Drop unnecessary dependency on dh-autoreconf.
  * Use canonical URL in Vcs-Git.

  [ Chris Lamb ]
  * [24184a4] nftables: don't install example Makefile (Closes: #946332)

  [ Arturo Borrero Gonzalez ]
  * [7d2cf78] d/patches: add 0001-upstream-py-load-soname.patch
    (Closes: #946219)

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Tue, 17 Dec 2019 13:49:23 +0100

nftables (0.9.3-1) unstable; urgency=medium

  * This release was packaged and uploaded to Debian while on a 300km/h train.
    Hope it works :-)
  * [01e140c] New upstream version 0.9.3
    Closes: #944669
    Closes: #916863
  * [1674c79] src:nftables: bump build-dep version on linftnl
  * [7074517] d/patches: drop patches included in latest upstream release

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Tue, 03 Dec 2019 14:03:14 +0100

nftables (0.9.2-2) unstable; urgency=medium

  [ Konstantin Demin ]
  * [9c626fc] d/rules: build less verbose if requested

  [ Arturo Borrero Gonzalez ]
  * [ba5d4d0] nftables: add Suggests: firewalld
  * [f8bea94] nftables: add upstream patches to address firewalld testsuite
    failures (Closes: #939838)
  * [35f35af] src:nftables: bump std-version to 4.4.1

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Wed, 09 Oct 2019 19:40:31 +0200

nftables (0.9.2-1) unstable; urgency=medium

  * [d29de9d] New upstream version 0.9.2
  * [27aa9aa] src:nftables: bump build-dep on libnftnl to 1.1.4
  * [2b73890] src:nftables: drop all patches, now included in upstream source
  * [4ff7527] d/rules: make build more verbose by default
  * [990710e] nftables: include more upstream example files

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Wed, 28 Aug 2019 13:22:32 +0200

nftables (0.9.1-3) unstable; urgency=medium

  * [609ee76] d/README.Debian: refresh file
  * [3255aaa] src:nftables: run wrap-and-sort
  * [5337001] nftables: raise package priority to important
  * [09b720f] src:nftables: add docbook-xsl build-dep
  * [9db946c] src:nftables: bump debhelper compat to 12
  * [4f0bb1d] nftables.maintscript: introduce file
  * [1b54808] d/patches: add BE fixtures (Closes: #934740)

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Thu, 15 Aug 2019 15:01:49 +0200

nftables (0.9.1-2) unstable; urgency=medium

  * [9dc1bd1] d/control: bump std-version to 4.4.0

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Wed, 10 Jul 2019 11:19:29 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libnftables1`.
